# Makefile.rules

WINVERSION  = 1
DEPENDFILE = .depend
DEBUG  = -ggdb
AR	   = i586-mingw32msvc-ar
CC     = i586-mingw32msvc-gcc
# CFLAGS = -Wall -I../main -I../ -I../mapsys -I../gui -I../wince -I../draw -I../base -DSPOSMROUTE -DHAVE_WINAPI -D_WIN32_IE=0x400 $(DEBUG)
CFLAGS = -Wall -I../main -I../ -I../mapsys -I../gui -I../wince -I../draw -I../base -DSPOSMROUTE -DHAVE_WINAPI $(DEBUG)
WINRES = i586-mingw32msvc-windres
LIBS   = -lgdi32 -lcomdlg32 -lwsock32

%.o: %.c
	$(CC) $(CFLAGS) -c $<

%.rsc: %.rc
	$(WINRES) $? $@ -D_WIN32_IE=0x400

